imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

editor:
    config:
        contentsCss: "EXT:umj_sitepackage/Resources/Public/Css/rte.css"

        stylesSet:
            - { name: "Lead", element: "p", attributes: { 'class': 'lead' } }

        toolbarGroups:
            - { name: basicstyles, groups: [ basicstyles ] }
            - { name: paragraph, groups: [ list ] }
            - "/"
            - { name: clipboard, groups: [ clipboard, undo ] }
            - { name: tools, groups: [ specialchar ] }
            - { name: document, groups: [ mode ] }
            - { name: specialcharacters,   groups: [ insertcharacters ] }

        justifyClasses:
            - text-left
            - text-center
            - text-right
            - text-justify

        extraPlugins:
            - justify

        removePlugins:
            - image

        removeButtons:
            - Anchor
            - Underline
            - Strike
            - Maximize
            - Subscript
            - Superscript

        basicEntities: false
        forcePasteAsPlainText: true